List monitor reports
curl --request GET \
--url https://api.itoflow.ai/watchlists/{id}/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/watchlists/{id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"limit": 123,
"offset": 123,
"reports": [
{
"completed_at": "<string>",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "<string>",
"report_date": "<string>",
"run_type": "manual",
"started_at": "<string>",
"status": "queued",
"superseded_at": "<string>",
"watchlist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>",
"task_id": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Monitors
List monitor reports
Operation ID: get__watchlists_id_reports.
GET
https://api.itoflow.ai
/
watchlists
/
{id}
/
reports
List monitor reports
curl --request GET \
--url https://api.itoflow.ai/watchlists/{id}/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/watchlists/{id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"limit": 123,
"offset": 123,
"reports": [
{
"completed_at": "<string>",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "<string>",
"report_date": "<string>",
"run_type": "manual",
"started_at": "<string>",
"status": "queued",
"superseded_at": "<string>",
"watchlist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>",
"task_id": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}